summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
author B. Watson2010-03-03 21:11:42 +0100
committer Erik Hanson2010-05-13 13:22:12 +0200
commitc3e85e72a79b3cddadd6b2d1ec5903ebc05d92a3 (patch)
tree5bd050f5162d6640a96a866faef4edf122d0b82d /accessibility
parent0d6047b53741075a9362f04f8a1137a9a3f26236 (diff)
downloadslackbuilds-c3e85e72a79b3cddadd6b2d1ec5903ebc05d92a3.tar.gz
accessibility/espeak: Added.
eSpeak is a compact open source software speech synthesizer for English and other languages. Thanks to B. Watson.
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/espeak/README16
-rw-r--r--accessibility/espeak/espeak.187
-rwxr-xr-xaccessibility/espeak/espeak.SlackBuild82
-rw-r--r--accessibility/espeak/espeak.info10
-rw-r--r--accessibility/espeak/slack-desc19
5 files changed, 214 insertions, 0 deletions
diff --git a/accessibility/espeak/README b/accessibility/espeak/README
new file mode 100644
index 0000000000..56692a0352
--- /dev/null
+++ b/accessibility/espeak/README
@@ -0,0 +1,16 @@
+eSpeak is a compact open source software speech synthesizer for English
+and other languages.
+
+eSpeak produces good quality English speech. It uses a different synthesis
+method from other open source text to speech (TTS) engines, and sounds
+quite different. It's perhaps not as natural or "smooth", but some find
+the articulation clearer and easier to listen to for long periods. It
+can run as a command line program to speak text from a file or from stdin.
+
+portaudio is optional but highly recommended: To actually produce
+audio output, this package requires portaudio V19 (available on
+slackbuilds.org). Without portaudio, espeak will only be able to render
+speech to a wav file (which may still be useful to you).
+
+To build without portaudio support, set WAVONLY=yes in the script's
+environment.
diff --git a/accessibility/espeak/espeak.1 b/accessibility/espeak/espeak.1
new file mode 100644
index 0000000000..c4bb0ea2f1
--- /dev/null
+++ b/accessibility/espeak/espeak.1
@@ -0,0 +1,87 @@
+.\" Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
+.\" other parameters are allowed: see man(7), man(1)
+.TH ESPEAK 1 "June 23, 2006"
+.\" Please adjust this date whenever revising the manpage.
+.\"
+.\" Some roff macros, for reference:
+.\" .nh disable hyphenation
+.\" .hy enable hyphenation
+.\" .ad l left justify
+.\" .ad b justify to both left and right margins
+.\" .nf disable filling
+.\" .fi enable filling
+.\" .br insert line break
+.\" .sp <n> insert n+1 empty lines
+.\" for manpage-specific macros, see man(7)
+.SH NAME
+espeak \- A multi-lingual software speech synthesizer.
+.SH SYNOPSIS
+.B espeak
+.RI [ options ]\ [ "<words>" ]
+.SH DESCRIPTION
+.B espeak
+is a software speech synthesizer for English, and some other languages.
+.SH OPTIONS
+.TP
+.B \-h
+Show summary of options.
+.TP
+.B \-f <text file>
+Text file to speak
+.TP
+.B \-\-stdin
+Read text input from stdin instead of a file
+.TP
+If neither -f nor --stdin, <words> are spoken, or if none then text is spoken from stdin, each line separately.
+.TP
+.B \-q
+Quiet, don't produce any speech (may be useful with -x)
+.TP
+.B \-a <integer>
+Amplitude, 0 to 20, default is 10
+.TP
+.B \-l <integer>
+Line length. If not zero (which is the default), consider
+lines less than this length as and-of-clause
+.TP
+.B \-p <integer>
+Pitch adjustment, 0 to 99, default is 50
+.TP
+.B -s <integer>
+peed in words per minute, default is 160
+.TP
+.B \-v <voice name>
+Use voice file of this name from espeak-data/voices
+.TP
+.B -m
+Indicates that the text contains SSML (Speech Synthesis Markup Language) tags or other XML tags. Those SSML tags which are supported are interpreted. Other tags, including HTML, are ignored, except that some HTML tags such as <hr> <h2> and <li> ensure a break in the speech.
+.TP
+.B \-w <wave file name>
+Write output to this WAV file, rather than speaking it directly
+.TP
+.B \-x
+Write phoneme mnemonics to stdout
+.TP
+.B \-X
+Write phonemes mnemonics and translation trace to stdout
+.TP
+.B \-\-stdout
+Write speech output to stdout
+.TP
+.B \-\-compile=<voice name>
+Compile the pronunciation rules and dictionary in the current directory. =<voice name> is optional and specifies which language
+.TP
+.B \-\-punct="<characters>"
+Speak the names of punctuation characters during speaking. If =<characters> is omitted, all punctuation is spoken.
+.TP
+.B \-k <integer>
+Indicate capital letters with: 1=sound, 2=the word "capitals", higher values = a pitch increase (try -k20).
+.TP
+.B \-\-voices[=<language code>]
+Lists the available voices. If =<language code> is present then only those voices which are suitable for that language are listed.
+.SH AUTHOR
+eSpeak was written by Jonathan Duddington <jonsd@jsd.clara.co.uk>. The webpage for this package can be found at http://espeak.sourceforge.net/.
+.PP
+This manual page was written by Luke Yelavich <themuso@ubuntu.com>, for the Ubuntu project (but may be used by others).
diff --git a/accessibility/espeak/espeak.SlackBuild b/accessibility/espeak/espeak.SlackBuild
new file mode 100755
index 0000000000..cf8245b1a6
--- /dev/null
+++ b/accessibility/espeak/espeak.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for espeak
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=espeak
+VERSION=${VERSION:-1.42.04}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-source
+unzip $CWD/$PRGNAM-$VERSION-source.zip
+cd $PRGNAM-$VERSION-source
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Cruft...
+rm -rf docs/images/.svn
+
+cd src
+
+if [ "${WAVONLY:-no}" = "yes" ]; then
+ EXTRAMAKEFLAGS="AUDIO=none"
+else
+ # Let this script die due to "set -e" if no portaudio installed...
+ pkg-config --modversion portaudio-2.0
+ # portaudio version *should* be 19, but support 18 just in case...
+ rm -f portaudio.h
+ ln -s portaudio$( pkg-config --modversion portaudio-2.0 ).h portaudio.h
+fi
+
+make LIBDIR=/usr/lib$LIBDIRSUFFIX CXXFLAGS="$SLKCFLAGS" $EXTRAMAKEFLAGS
+make install LIBDIR=/usr/lib$LIBDIRSUFFIX DESTDIR=$PKG $EXTRAMAKEFLAGS
+strip $PKG/usr/bin/$PRGNAM $PKG/usr/lib$LIBDIRSUFFIX/lib$PRGNAM.so.*.*.*
+rm -f $PKG/usr/lib$LIBDIRSUFFIX/*.a # guidelines say no static libs
+
+cd ..
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -r ChangeLog ReadMe *.txt docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Man page from Ubuntu
+mkdir -p $PKG/usr/man/man1
+gzip -9c $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+if [ "${WAVONLY:-no}" = "yes" ]; then
+ sed -i \
+ '19s/:/: This package lacks audio support (wav file output only)/' \
+ $PKG/install/slack-desc
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/accessibility/espeak/espeak.info b/accessibility/espeak/espeak.info
new file mode 100644
index 0000000000..29c6698b1e
--- /dev/null
+++ b/accessibility/espeak/espeak.info
@@ -0,0 +1,10 @@
+PRGNAM="espeak"
+VERSION="1.42.04"
+HOMEPAGE="http://espeak.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/espeak/espeak-1.42.04-source.zip"
+DOWNLOAD_x86_64=""
+MD5SUM="a4cbbe5f2e2a37ccc0aa1a687a6e4c11"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/accessibility/espeak/slack-desc b/accessibility/espeak/slack-desc
new file mode 100644
index 0000000000..b55ff39004
--- /dev/null
+++ b/accessibility/espeak/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+espeak: eSpeak (a compact open source software speech synthesizer)
+espeak:
+espeak: eSpeak produces good quality English speech. It uses a different
+espeak: synthesis method from other open source text to speech (TTS) engines,
+espeak: and sounds quite different. It's perhaps not as natural or "smooth",
+espeak: but some find the articulation clearer and easier to listen to for
+espeak: long periods. It can run as a command line program to speak text from
+espeak: a file or from stdin.
+espeak:
+espeak:
+espeak: